POST api/Shipping/CreateExternalLabel

Request Information

URI Parameters

None.

Body Parameters

ExternalLabel
NameDescriptionTypeAdditional information
ShipTo

AddressViewModel

None.

ShipFrom

AddressViewModel

None.

EmailLabelTo

string

None.

TotalWeight

integer

None.

DisplaySchemeType

string

None.

DisplaySchemeTypeId

integer

None.

PackageSizeTypeId

integer

None.

PackageSizeTypeName

string

None.

Request Formats

application/json, text/json

Sample:
{
  "shipTo": {
    "id": 1,
    "country": "sample string 2",
    "streetAddress": "sample string 3",
    "city": "sample string 4",
    "state": "sample string 5",
    "zip": "sample string 6",
    "userId": "sample string 7",
    "contactName": "sample string 8",
    "type": "sample string 9",
    "phoneNumber": "sample string 10",
    "isShipping": true
  },
  "shipFrom": {
    "id": 1,
    "country": "sample string 2",
    "streetAddress": "sample string 3",
    "city": "sample string 4",
    "state": "sample string 5",
    "zip": "sample string 6",
    "userId": "sample string 7",
    "contactName": "sample string 8",
    "type": "sample string 9",
    "phoneNumber": "sample string 10",
    "isShipping": true
  },
  "emailLabelTo": "sample string 1",
  "totalWeight": 2,
  "displaySchemeType": "sample string 3",
  "displaySchemeTypeId": 1,
  "packageSizeTypeId": 1,
  "packageSizeTypeName": "sample string 4"
}

application/xml, text/xml

Sample:
<ExternalLabel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.Orchestrators">
  <DisplaySchemeType>sample string 3</DisplaySchemeType>
  <DisplaySchemeTypeId>1</DisplaySchemeTypeId>
  <EmailLabelTo>sample string 1</EmailLabelTo>
  <PackageSizeTypeId>1</PackageSizeTypeId>
  <PackageSizeTypeName>sample string 4</PackageSizeTypeName>
  <ShipFrom>
    <City>sample string 4</City>
    <ContactName>sample string 8</ContactName>
    <Country>sample string 2</Country>
    <Id>1</Id>
    <IsShipping>true</IsShipping>
    <PhoneNumber>sample string 10</PhoneNumber>
    <State>sample string 5</State>
    <StreetAddress>sample string 3</StreetAddress>
    <Type>sample string 9</Type>
    <UserId>sample string 7</UserId>
    <Zip>sample string 6</Zip>
  </ShipFrom>
  <ShipTo>
    <City>sample string 4</City>
    <ContactName>sample string 8</ContactName>
    <Country>sample string 2</Country>
    <Id>1</Id>
    <IsShipping>true</IsShipping>
    <PhoneNumber>sample string 10</PhoneNumber>
    <State>sample string 5</State>
    <StreetAddress>sample string 3</StreetAddress>
    <Type>sample string 9</Type>
    <UserId>sample string 7</UserId>
    <Zip>sample string 6</Zip>
  </ShipTo>
  <TotalWeight>2</TotalWeight>
</ExternalLabel>

multipart/form-data

Sample:
<ExternalLabel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.Orchestrators"><DisplaySchemeType>sample string 3</DisplaySchemeType><DisplaySchemeTypeId>1</DisplaySchemeTypeId><EmailLabelTo>sample string 1</EmailLabelTo><PackageSizeTypeId>1</PackageSizeTypeId><PackageSizeTypeName>sample string 4</PackageSizeTypeName><ShipFrom><City>sample string 4</City><ContactName>sample string 8</ContactName><Country>sample string 2</Country><Id>1</Id><IsShipping>true</IsShipping><PhoneNumber>sample string 10</PhoneNumber><State>sample string 5</State><StreetAddress>sample string 3</StreetAddress><Type>sample string 9</Type><UserId>sample string 7</UserId><Zip>sample string 6</Zip></ShipFrom><ShipTo><City>sample string 4</City><ContactName>sample string 8</ContactName><Country>sample string 2</Country><Id>1</Id><IsShipping>true</IsShipping><PhoneNumber>sample string 10</PhoneNumber><State>sample string 5</State><StreetAddress>sample string 3</StreetAddress><Type>sample string 9</Type><UserId>sample string 7</UserId><Zip>sample string 6</Zip></ShipTo><TotalWeight>2</TotalWeight></ExternalLabel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml, multipart/form-data

Sample:

Sample not available.